Galaxy Digital Holdings Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1754352000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001859392/379a5701-72b8-4ee3-8ba7-724e70fc5564.html#",
    "holding_balance": 17102.0,
    "holding_net_change": 13952.0,
    "transaction_value_usd": 1592497882.88,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001859392/aee7e280-0073-4cda-9dbd-0c9258d64b44.pdf",
    "holding_balance": 18400.0,
    "holding_net_change": 1298.0,
    "transaction_value_usd": 273421000.0,
    "average_entry_value_usd": 210647.92,
    "transaction_value_calculated": false
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.galaxy.com/static-files/c50e544d-81dd-4d8b-93e7-3e408b9bbbc7",
    "holding_balance": 25723.0,
    "holding_net_change": 7323.0,
    "transaction_value_usd": 195371000.0,
    "average_entry_value_usd": 26679.09,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    25723.0
  ],
  [
    1782950400000,
    25723.0
  ],
  [
    1783036800000,
    25723.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1542468119.65
  ],
  [
    1782950400000,
    1581651451.09
  ],
  [
    1783036800000,
    1608356040.77
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 26.362,
    "date": "2026-06-30",
    "high": 27.9555,
    "open": 27.54,
    "close": 27.34,
    "volume": 9054168
  },
  {
    "low": 25.24,
    "date": "2026-07-01",
    "high": 27.39,
    "open": 26.925,
    "close": 25.86,
    "volume": 9338036
  },
  {
    "low": 24.145,
    "date": "2026-07-02",
    "high": 27.51,
    "open": 26.37,
    "close": 24.59,
    "volume": 8362811
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.025,
  "quarterly_earnings_growth": -0.927,
  "eps_estimate_current_quarter": -0.96
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -15.38,
  "six_month_return": 7.95,
  "three_month_return": 41.57
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/galaxy-digital-holdings-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 16.8,
  "total_btc_percentage": 0.122,
  "share_price_change_state": "down"
}